# -*- coding: utf-8 -*-
"""
@author: zsc
@time: 2024/11/18
@desc:  行为分析
"""
from collections import defaultdict


# 用户分群模块
class UserSegmentation:
    def __init__(self, data):
        self.data = data

    def segment(self):
        # 简单示例：根据用户行为数量分群
        user_behavior_count = defaultdict(int)
        for user_actions in self.data:
            user = user_actions['user']
            actions = user_actions['actions']
            user_behavior_count[user] += len(actions)

        segments = {'高活跃用户': [], '低活跃用户': []}
        for user, count in user_behavior_count.items():
            if count > 5:
                segments['高活跃用户'].append(user)
            else:
                segments['低活跃用户'].append(user)

        return segments